Loading...
Searching...
No Matches
Dune::StaticRefinement< topologyId, CoordType, coerceToId, dimension_ > Class Template Reference
Refinement

Wrap each Refinement implementation to get a consistent interface. More...

Inheritance diagram for Dune::StaticRefinement< topologyId, CoordType, coerceToId, dimension_ >:

## Classes

struct | Codim
| The Codim struct inherited from the Refinement implementation. More...

## Public Types

typedef Codim< dimension >::SubEntityIterator | VertexIterator
| The VertexIterator of the Refinement.
typedef Codim< 0 >::SubEntityIterator | ElementIterator
| The ElementIterator of the Refinement.
typedef RefinementImp::Traits< topologyId, CoordType, coerceToId, dimension_ >::Imp | RefinementImp

## Static Public Member Functions

static int | nVertices (Dune::RefinementIntervals tag)
| Get the number of Vertices.
static VertexIterator | vBegin (Dune::RefinementIntervals tag)
| Get a VertexIterator.
static VertexIterator | vEnd (Dune::RefinementIntervals tag)
| Get a VertexIterator.
static int | nElements (Dune::RefinementIntervals tag)
| Get the number of Elements.
static ElementIterator | eBegin (Dune::RefinementIntervals tag)
| Get an ElementIterator.
static ElementIterator | eEnd (Dune::RefinementIntervals tag)
| Get an ElementIterator.

## Public Attributes

typedef | CoordVector
| The CoordVector of the Refinement.
typedef | IndexVector
| The IndexVector of the Refinement.

## Detailed Description

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension_>
class Dune::StaticRefinement< topologyId, CoordType, coerceToId, dimension_ >

Wrap each Refinement implementation to get a consistent interface.

Template Parameters

  topologyId | The topology id of the element to refine
  CoordType | The C++ type of the coordinates
  coerceToId | The topology id of the subelements
  dimension | The dimension of the refinement.

## Member Typedef Documentation

## ElementIterator

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension_>

typedef Codim<0>::SubEntityIterator Dune::StaticRefinement< topologyId, CoordType, coerceToId, dimension_ >::ElementIterator

The ElementIterator of the Refinement.

## RefinementImp

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension_>

typedef RefinementImp::Traits<topologyId,CoordType,coerceToId,dimension_>::Imp Dune::StaticRefinement< topologyId, CoordType, coerceToId, dimension_ >::RefinementImp

## VertexIterator

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension_>

typedef Codim<dimension>::SubEntityIterator Dune::StaticRefinement< topologyId, CoordType, coerceToId, dimension_ >::VertexIterator

The VertexIterator of the Refinement.

## Member Function Documentation

## eBegin()

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension_>

ElementIterator Dune::StaticRefinement< topologyId, CoordType, coerceToId, dimension_ >::eBegin | ( | Dune::RefinementIntervals | tag | ) |

inline static

Get an ElementIterator.

Parameters

  tag | RefinementIntervals object returned by either refinementIntervals() or refinementLevels()

## eEnd()

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension_>

ElementIterator Dune::StaticRefinement< topologyId, CoordType, coerceToId, dimension_ >::eEnd | ( | Dune::RefinementIntervals | tag | ) |

inline static

Get an ElementIterator.

Parameters

  tag | RefinementIntervals object returned by either refinementIntervals() or refinementLevels()

## nElements()

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension_>

int Dune::StaticRefinement< topologyId, CoordType, coerceToId, dimension_ >::nElements | ( | Dune::RefinementIntervals | tag | ) |

inline static

Get the number of Elements.

Parameters

  tag | RefinementIntervals object returned by either refinementIntervals() or refinementLevels()

## nVertices()

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension_>

int Dune::StaticRefinement< topologyId, CoordType, coerceToId, dimension_ >::nVertices | ( | Dune::RefinementIntervals | tag | ) |

inline static

Get the number of Vertices.

Parameters

  tag | RefinementIntervals object returned by either refinementIntervals() or refinementLevels()

## vBegin()

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension_>

VertexIterator Dune::StaticRefinement< topologyId, CoordType, coerceToId, dimension_ >::vBegin | ( | Dune::RefinementIntervals | tag | ) |

inline static

Get a VertexIterator.

Parameters

  tag | RefinementIntervals object returned by either refinementIntervals() or refinementLevels()

## vEnd()

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension_>

VertexIterator Dune::StaticRefinement< topologyId, CoordType, coerceToId, dimension_ >::vEnd | ( | Dune::RefinementIntervals | tag | ) |

inline static

Get a VertexIterator.

Parameters

  tag | RefinementIntervals object returned by either refinementIntervals() or refinementLevels()

## Member Data Documentation

## CoordVector

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension_>

typedef Dune::StaticRefinement< topologyId, CoordType, coerceToId, dimension_ >::CoordVector

The CoordVector of the Refinement.

This is always a typedef to a FieldVector

## IndexVector

template<unsigned topologyId, class CoordType, unsigned coerceToId, int dimension_>

typedef Dune::StaticRefinement< topologyId, CoordType, coerceToId, dimension_ >::IndexVector

The IndexVector of the Refinement.

This is always a typedef to a FieldVector

The documentation for this class was generated from the following file:

- base.cc